Jump to content
mariobross55

Acad 2000 with Windows 7

Recommended Posts

john s
Actually, I just installed ACAD LT 2000 on my Windows 7 Ultimate 64-bit. The solution is so incredibly simple!!! The ReactOS website has an excellent explanation under the heading: INSTALLING 32-BIT PROGRAMS WITH 16-BIT SETUP LAUNCHER STUBS.

 

See: http://www.reactos.org/forum/viewtopic.php?f=22&t=10988

 

It explains that 16-bit loader stubs initiate 32-bit install programs. Older versions of AutoCAD are 32-bit programs and will run in Windows 7 64-bit OSs, but they used 16-bit installer stubs. Based on the information provided at the above referenced webpage, it is possible to identify the installer program for many AutoCAD versions as being an InstallShield installer. A 32-bit version of the installer is available here:

 

Version 3 launcher replacement:

http://toastytech.com/files/Is3Engine.zip

 

Version 5 launcher replacement:

http://toastytech.com/files/Is5Launcher.zip

 

(The version of launcher you have can be found by right-clicking on SETUP.EXE and clicking on the "Version" tab.)

 

You must copy your entire installation disk to a writeable directory or flash drive, and include the 32-bit setup in the same directory. In Properties, set compatibility to Windows NT 4. Run the setup32.exe program.

 

For me the programs installed without any problem. It worked for me on ACLT 95 and ACLT 2000. (ACLT 2000 was an upgrade and I had to install 95 first.) Hope it works for you.

 

Any program I pay $4000 for better work 10 years later!!!

 

 

 

Hi

 

I hope you don't mind assisting a little further here since your situation is identical to mine in that I first need to load 95 before 2000 due to 2000 being an upgrade to an existing version.

 

I did everything you mentioned above but forgot that I had to load 95 first. 2000 installer was appearing to work when it said it didnt see a previous installation so would stop. I remembered I had to load 95 first so loaded all the files and the modified setup.exe and changed the setup.exe to adminisitrator and run as NT4.

 

However, when I tried to load 95 the process was stopped by a message that setup requires _setup.dll and _isres.dll located in _setup.lib. I checked all the installation files in 95 and none of this were present on the original disks. However these files are present in the 2000 version. I copied these files from the 2000 installation and placed copies in the 95 file but then installation stopped for another reason (cant recall the warning I'm afraid).

 

Did accidentally attempting to install the 2000 version first upload something or create some sort of directory that then stopped me correctly installing the 95 version? If so, how do I clean it out and start again, assuming that this is why I am having problems. My laptop is running Windows 7 if this assists. Many thanks

 

 

John

Share this post


Link to post
Share on other sites
Searcher1024
Just FYI, I have my AutoCAD LT installed on Windows 7 64-bit Ultimate, and it all works fine for me. But of course, computers have always liked me. :D

 

I need to update my original post. I now have AutoCAD LT 2000 running on Windows 10 Pro Fall Creators release 1709. Due to Microsoft's error, I had to do a totally clean install. At first I could not get it to install and it kept telling me that it could not be installed on this version. I soon realized that the problem is that in Windows 10 there is no compatibility option to match NT4. However, to my delight, if I set compatibility to Windows 98/ME it works fine. Hope this is helpful to someone.

Share this post


Link to post
Share on other sites
Searcher1024

I had similar problems to yours, but found that the missing files were on the installation disk. I just copied them over and then everything worked just fine. Strange behavior. I have wondered if there was any behind the scenes collaboration to create such problems to prevent us from continuing to use certain software. . . . :?

Share this post


Link to post
Share on other sites
f700es

Why not use something like Draftsight instead of such an old version of LT? No hoops to jump through to run on Win10 ;)

Share this post


Link to post
Share on other sites
ReMark

I doubt there is any collaboration between AutoDesk and Microsoft to create problems for users of AutoCAD programs. To suggest that such a collaboration exists would be laughable.

Share this post


Link to post
Share on other sites
f700es

Wasn't he using React OS? Definitely not windows.

Edit: Yeah I see what you are saying Remark.

Edited by f700es

Share this post


Link to post
Share on other sites
Cad64
I have wondered if there was any behind the scenes collaboration to create such problems to prevent us from continuing to use certain software. . . . :?

 

In the past, Autodesk would regularly "retire" older versions of Autocad, and once a version was retired, they no longer supported it. So, if you wanted to continue using an older version, it was up to you to solve whatever problems that arose due to incompatibility with a newer OS or whatever. But now, with all Autodesk software being subscription based, there is no need for them to "retire" older versions because everyone on subscription is automatically upgraded when a new version is released.

 

Anyway, the point I'm trying to make is that Autodesk has no need to collaborate behind the scenes. If you want to use older versions of Autocad then it's up to you to figure out how to make it work.

 

So, having said all that, I would agree with f700es. Download and install Draftsight. It's free and it will do everything your old version of Autocad can do, and more.

Share this post


Link to post
Share on other sites
Searcher1024

The comment was tongue in cheek, sorry that was not obvious. :cry: I still find ACLT2k to be fast and useful for some things. I was just sharing knowledge and keeping it up to date. I appreciate the suggestion regarding Draftsight, but I already acknowledged that above, about 3 years ago, so no worries!

Share this post


Link to post
Share on other sites
f700es

That's cool Searcher, I do understand in using what you like. I still rock SketchUp 2015 as all of my plugins still work and I prefer the older layout.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×